当WordPress主题进行升级和安装时提示权限不足的解决方法是什么?

momseo 阅读 205 次

  某些主机或vps上WordPress更新,或升级插件或主题时提示一个输入FTP信息的页面,但有时您清楚地输入正确的信息,它仍然提示不正确或再次提示FTP信息。那么当WordPress主题进行升级和安装时提示权限不足的解决方法是什么?

WordPress主题

  解决方法:

  方法1:在你的wp-config.php中插入:

  define(“FS_METHOD”,“direct”);

  define(“FS_CHMOD_DIR”,0777);

  define(“FS_CHMOD_FILE”,0777);

  (完成上述三句的删除,以建议进行升级,使其更加安全)

  这样,类似phpCloud的服务器就可以了,如果这个方法不能工作,就需要设置文件属性。

  方法2:如果您安装Inmp安装包,您可以使用它.授权组来解决,这样Apache/Nginx就可以拥有覆盖旧文件的权限。

  登录到SSH并输入以下命令:

  chown–R www/home/wwwroot/seo628(修改为网站域名目录),其中/root/laod/wordpress是您的WP安装目录。

扫描关注微信公众号WPMEE
  • 第一时间了解WordPress动态
  • 学习WordPress教程